# Class EncryptionKeyResponse | EchoHub Documentation

# Class EncryptionKeyResponse

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record EncryptionKeyResponse : IEquatable<EncryptionKeyResponse>

Inheritance
  object
  EncryptionKeyResponse

Implements
  IEquatable<EncryptionKeyResponse>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### EncryptionKeyResponse(EncryptionKeyResponse)

    protected EncryptionKeyResponse(EncryptionKeyResponse original)

#### Parameters

`original` EncryptionKeyResponse

### EncryptionKeyResponse(string)

    public EncryptionKeyResponse(string Key)

#### Parameters

`Key` string

## Properties

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Key

    public string Key { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string)

    public void Deconstruct(out string Key)

#### Parameters

`Key` string

### Equals(EncryptionKeyResponse?)

    public virtual bool Equals(EncryptionKeyResponse? other)

#### Parameters

`other` EncryptionKeyResponse

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(EncryptionKeyResponse?, EncryptionKeyResponse?)

    public static bool operator ==(EncryptionKeyResponse? left, EncryptionKeyResponse? right)

#### Parameters

`left` EncryptionKeyResponse
`right` EncryptionKeyResponse

#### Returns

bool

### operator !=(EncryptionKeyResponse?, EncryptionKeyResponse?)

    public static bool operator !=(EncryptionKeyResponse? left, EncryptionKeyResponse? right)

#### Parameters

`left` EncryptionKeyResponse
`right` EncryptionKeyResponse

#### Returns

bool